## org.eclipse.ocl.expressions.operations
Class IfExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.OCLExpressionOperations
          org.eclipse.ocl.expressions.operations.IfExpOperations

    public class IfExpOperations

extends OCLExpressionOperations

A static utility class that provides operations related to 'If Exp' model objects.

The following operations are supported:

- `Check Boolean Condition`
- `Check If Type`

Constructor Summary
`protected` `IfExpOperations()`

Method Summary

`static

`<C> boolean`

`

`checkBooleanCondition(IfExp<C> ifExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.condition.type.oclIsKindOf(PrimitiveType) and self.condition.type.name = 'Boolean'

`static

`<C> boolean`

`

`checkIfType(IfExp<C> ifExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.type = thenExpression.type.commonSuperType(elseExpression.type)

Methods inherited from class org.eclipse.ocl.expressions.operations.OCLExpressionOperations
`accept, getName, getType, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfExpOperations

    protected IfExpOperations()

Method Detail

### checkBooleanCondition

    public static <C> boolean checkBooleanCondition(IfExp<C> ifExp,
                                                    DiagnosticChain diagnostics,
                                                    Map<Object,Object> context)

  self.condition.type.oclIsKindOf(PrimitiveType) and self.condition.type.name = 'Boolean'

  Parameters:
    `ifExp` - The receiving 'If Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkIfType

    public static <C> boolean checkIfType(IfExp<C> ifExp,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

  self.type = thenExpression.type.commonSuperType(elseExpression.type)

  Parameters:
    `ifExp` - The receiving 'If Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.